Bug 11581 - Samba segfaults because of a use after free in the smb2 server
Samba segfaults because of a use after free in the smb2 server
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.3.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 14:26 UTC by Andreas Schneider
Modified: 2015-11-06 11:06 UTC (History)
5 users (show)

See Also:


Attachments
Patch for v4-3-test (1.74 KB, patch)
2015-11-02 12:31 UTC, Stefan Metzmacher
vl: review-
Details
Patches for v4-3-test (3.33 KB, patch)
2015-11-03 08:47 UTC, Stefan Metzmacher
metze: review? (asn)
metze: review? (vl)
slow: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-10-30 14:26:29 UTC
Samba segfaults because of a use after free in the smb2 server. Patch will follow ...
Comment 1 Stefan Metzmacher 2015-11-02 12:31:33 UTC
Created attachment 11566 [details]
Patch for v4-3-test
Comment 2 Stefan Metzmacher 2015-11-03 08:47:11 UTC
Created attachment 11569 [details]
Patches for v4-3-test
Comment 3 Karolin Seeger 2015-11-03 11:31:39 UTC
Pushed to autobuild-v4-3-test.
Comment 4 Karolin Seeger 2015-11-06 11:06:43 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-3-test.
Closing out bug report.

Thanks!